using adas_core.Domain.Models.MongoModels;
using adas_core.Domain.Models.Responses;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IDisplayDetailConfigRepository : IMongoRepository<CardDetailsConfig>
{
    Task<List<CardDetailsConfig>> GetAll();
    Task<CardDetailsConfig?> GetById(ObjectId configId);
    Task<CardDetailsConfig?> InsertOneAsyncAndReturn(CardDetailsConfig config);
    Task<UpdateResponse<CardDetailsConfig?>> UpdateOne(CardDetailsConfig? config);
    Task<CardDetailsConfig?> DeleteOne(ObjectId configId);
}